Bug 108759 - RFE: Better error message when attempting to install / upgrade / erase packages as non root user
RFE: Better error message when attempting to install / upgrade / erase packag...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-31 23:58 EST by Mike MacCana
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-29 10:52:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike MacCana 2003-10-31 23:58:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031015 Firebird/0.7

Description of problem:
When attempting to install / erase / upgrade packages as a non root
user, users get the following feedback:

error: cannot get exclusive lock on /var/lib/rpm/Packages
error: cannot open Packages index using db3 - Operation not permitted (1)
error: cannot open Packages database in /var/lib/rpm

Could the error message be made more explicit, specifically mentioning
the users need to be root to perform the action? I run Red hat
training courses and a lot of otherwise sharp students get confused by
the current, unclear error message.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Attempt to install / upgrade / erase a package as a non root user

    

Additional info:
Comment 1 Paul Nasrat 2005-11-29 10:52:13 EST
It is possible for users to have local rpmdb's for testing/or in a chroot, etc:

rpm --dbpath ~/rpmdb -qa
rpm --dbpath ~/rpmdb --justdb -ivh rpm/RPMS/dummy-1.0-1.i386.rpm
Preparing...                ########################################### [100%]
rpm --dbpath ~/rpmdb -qa 
dummy-1.0-1.i386
rpm --dbpath ~/rpmdb --justdb -e dummy

The permission message is thus probably as specific as we can get.

Note You need to log in before you can comment on or make changes to this bug.